export declare class Util {
    static copy(obj: any): any;
    static deepAssign(target: any, ...sources: any[]): any;
    static isObject(item: any): boolean;
    static isMergebleObject(item: any): boolean;
    static castToType(o: any): any;
    /**
     * Returns the current date as seconds since midnight Jan 1, 1970.
     * @method Util.getTimeStamp
     * @param date optional: A string or Date object to return as seconds since midnight Jan 1, 1970.
     * @returns
     */
    static getTimeStamp(date?: any): number;
    /**
     * Returns a UUID.
     * @method Util.getUUID
     * @returns
     */
    static getUUID(): string;
    /**
     * Checks if the application is running in a browser.
     * @method Util.isOnline
     * @returns
     */
    static isOnline(): boolean;
    /**
     * Returns the size of the viewport.
     * @method Util.viewportSize
     * @returns
     */
    static viewportSize(): any;
    /**
     * Checks if the application is running in a browser.
     * @method Util.isBrowser
     * @returns
     */
    static isBrowser(): boolean;
    static getStyle(el: any, styleProp: any): any;
}
